Passer au contenu principal
GET
/
client
/
batch
List all batches
curl --request GET \
  --url https://api.ship.uniuni.com/prod/client/batch \
  --header 'Authorization: Bearer <token>'
{
  "message": "Success",
  "code": 0,
  "data": {
    "batches": [
      {
        "batchNumber": "URB0805000000000947",
        "batchName": "final-test",
        "status": "PENDING",
        "printedLabel": true,
        "createdAt": "2025-08-05T17:31:27.157Z",
        "updatedAt": "2025-08-05T17:34:32.262Z",
        "shipmentCount": 1
      }
    ],
    "pagination": {
      "page": 1,
      "pageSize": 10,
      "count": 25
    }
  }
}

Autorisations

Authorization
string
header
requis

API access token generated from the UniUni Platform dashboard.

Paramètres de requête

page
integer
défaut:1

Page number.

Plage requise: x >= 1
pageSize
integer
défaut:10

Results per page.

Plage requise: x <= 500
isNotInPickup
boolean

If true, only returns batches that are not in pickup status.

Réponse

200 - application/json

Paginated list of batches

message
string
requis

Additional information about the request status.

code
integer
requis

Status code. 0 indicates success.

data
object